Package com.smartgwt.client.tools

# Class StyleGroup

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.tools.StyleGroup

All Implemented Interfaces:
  `HasHandlers`

public class StyleGroup extends DataClass
An ordinary JavaScript object with properties that define an editable group of `settings` for use in `CSSEditor`s.

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StyleGroup()`
  `StyleGroup(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Boolean`
  `getAllowAsymmetry()`
  Does this group allow items to be edited asymmetrically? For example, should settings like `padding` allow each side to be specified separately?
  `Boolean`
  `getCanCollapse()`
  Can this group's section be collapsed?
  `Boolean`
  `getExpanded()`
  Should this group's section be expanded?
  `String`
  `getName()`
  Unique name that identifies this group.
  `static StyleGroup`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `StyleSetting[]`
  `getSettings()`
  The array of `settings` to make available for editing in this group.
  `String`
  `getTitle()`
  Title to display in the header for this group.
  `StyleGroup`
  `setAllowAsymmetry(Boolean allowAsymmetry)`
  Does this group allow items to be edited asymmetrically? For example, should settings like `padding` allow each side to be specified separately?
  `StyleGroup`
  `setCanCollapse(Boolean canCollapse)`
  Can this group's section be collapsed?
  `StyleGroup`
  `setExpanded(Boolean expanded)`
  Should this group's section be expanded?
  `StyleGroup`
  `setName(String name)`
  Unique name that identifies this group.
  `StyleGroup`
  `setSettings(StyleSetting... settings)`
  The array of `settings` to make available for editing in this group.
  `StyleGroup`
  `setTitle(String title)`
  Title to display in the header for this group.

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StyleGroup

    public StyleGroup()

  - ### StyleGroup

    public StyleGroup(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static StyleGroup getOrCreateRef(JavaScriptObject jsObj)

  - ### setAllowAsymmetry

    public StyleGroup setAllowAsymmetry(Boolean allowAsymmetry)
    Does this group allow items to be edited asymmetrically? For example, should settings like `padding` allow each side to be specified separately?
    Parameters:
      `allowAsymmetry` - New allowAsymmetry value. Default value is null
    Returns:
      `StyleGroup` instance, for chaining setter calls

  - ### getAllowAsymmetry

    public Boolean getAllowAsymmetry()
    Does this group allow items to be edited asymmetrically? For example, should settings like `padding` allow each side to be specified separately?
    Returns:
      Current allowAsymmetry value. Default value is null

  - ### setCanCollapse

    public StyleGroup setCanCollapse(Boolean canCollapse)
    Can this group's section be collapsed?
    Parameters:
      `canCollapse` - New canCollapse value. Default value is null
    Returns:
      `StyleGroup` instance, for chaining setter calls

  - ### getCanCollapse

    public Boolean getCanCollapse()
    Can this group's section be collapsed?
    Returns:
      Current canCollapse value. Default value is null

  - ### setExpanded

    public StyleGroup setExpanded(Boolean expanded)
    Should this group's section be expanded?
    Parameters:
      `expanded` - New expanded value. Default value is null
    Returns:
      `StyleGroup` instance, for chaining setter calls

  - ### getExpanded

    public Boolean getExpanded()
    Should this group's section be expanded?
    Returns:
      Current expanded value. Default value is null

  - ### setName

    public StyleGroup setName(String name)
    Unique name that identifies this group.
    Parameters:
      `name` - New name value. Default value is null
    Returns:
      `StyleGroup` instance, for chaining setter calls

  - ### getName

    public String getName()
    Unique name that identifies this group.
    Returns:
      Current name value. Default value is null

  - ### setSettings

    public StyleGroup setSettings(StyleSetting... settings)
    The array of `settings` to make available for editing in this group.
    Parameters:
      `settings` - New settings value. Default value is null
    Returns:
      `StyleGroup` instance, for chaining setter calls

  - ### getSettings

    public StyleSetting[] getSettings()
    The array of `settings` to make available for editing in this group.
    Returns:
      Current settings value. Default value is null

  - ### setTitle

    public StyleGroup setTitle(String title)
    Title to display in the header for this group.
    Parameters:
      `title` - New title value. Default value is null
    Returns:
      `StyleGroup` instance, for chaining setter calls
    See Also:
      - `HTML`

  - ### getTitle

    public String getTitle()
    Title to display in the header for this group.
    Returns:
      Current title value. Default value is null
    See Also:
      - `HTML`